using ConsoleApp1;
using System;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    public class Controller
    {
        private readonly Service _service;

        public Controller(Service service)
        {
            _service = service;
        }

        // 定点発注処理のコントローラー
        public async Task FixedPointOrderingControllerAsync()
        {
            try
            {
                // 定点発注処理の実行
                await _service.ExecuteFixedPointOrderingAsync();
            }
            catch (Exception ex)
            {
                // エラーログの出力など、エラー発生時の処理をここに記述
                Console.WriteLine($"Error occurred: {ex.Message}");
            }
        }
    }
}