from django.contrib import admin
from main.models import Product, ReceiptShipment, Order, MonthlyProductStock

# 商品テーブルのModelAdminクラス
class ProductAdmin(admin.ModelAdmin):
    list_display = [field.name for field in Product._meta.fields if isinstance(field, models.CharField)]

# 入出荷テーブルのModelAdminクラス
class ReceiptShipmentAdmin(admin.ModelAdmin):
    list_display = [field.name for field in ReceiptShipment._meta.fields if isinstance(field, models.CharField)]

# 発注テーブルのModelAdminクラス
class OrderAdmin(admin.ModelAdmin):
    list_display = [field.name for field in Order._meta.fields if isinstance(field, models.CharField)]

# 月初商品在庫テーブルのModelAdminクラス
class MonthlyProductStockAdmin(admin.ModelAdmin):
    list_display = [field.name for field in MonthlyProductStock._meta.fields if isinstance(field, models.CharField)]

admin.site.register(Product, ProductAdmin)
admin.site.register(ReceiptShipment, ReceiptShipmentAdmin)
admin.site.register(Order, OrderAdmin)
admin.site.register(MonthlyProductStock, MonthlyProductStockAdmin)