using ConsoleApp1;
using System;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    public class Service
    {
        private readonly Repository _repository;

        public Service(Repository repository)
        {
            _repository = repository;
        }

        // 定点発注処理の実行
        public async Task ExecuteFixedPointOrderingAsync()
        {
            // 安全在庫の確認と発注データの作成
            await _repository.CheckSafetyStockAndCreateOrdersAsync();
        }
    }
}